### Name: mdist
### Title: Creates matrices of mdists (distances) between observations for
###   matching
### Aliases: mdist
### Keywords: nonparametric

### ** Examples

data(nuclearplants)

### A propensity score distance:
aGlm <- glm(pr~.-(pr+cost), family=binomial(), data=nuclearplants)
mdist(aGlm)

### A Mahalanobis distance:
mdist(pr ~ t1 + t2, data = nuclearplants)

### Absolute difference on a scalar-distance:

sdiffs <- function(treatments, controls) {
  abs(outer(treatments$t1, controls$t1, `-`))
}

(absdist <- mdist(sdiffs, structure.fmla = pr ~ 1, data = nuclearplants))

### Using pairmatch on the scalar example:
pairmatch(absdist)



